VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DescriptorPoolInlineUniformBlockCreateInfoEXT (uint32_t maxInlineUniformBlockBindings_=0)
| DescriptorPoolInlineUniformBlockCreateInfoEXT (VkDescriptorPoolInlineUniformBlockCreateInfoEXT const &rhs)
DescriptorPoolInlineUniformBlockCreateInfoEXT & | operator= (VkDescriptorPoolInlineUniformBlockCreateInfoEXT const &rhs)
DescriptorPoolInlineUniformBlockCreateInfoEXT & | setPNext (const void *pNext_)
DescriptorPoolInlineUniformBlockCreateInfoEXT & | setMaxInlineUniformBlockBindings (uint32_t maxInlineUniformBlockBindings_)
| operator VkDescriptorPoolInlineUniformBlockCreateInfoEXT const & () const
| operator VkDescriptorPoolInlineUniformBlockCreateInfoEXT & ()
bool | operator== (DescriptorPoolInlineUniformBlockCreateInfoEXT const &rhs) const
bool | operator!= (DescriptorPoolInlineUniformBlockCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | maxInlineUniformBlockBindings

## Private Attributes

StructureType | sType = StructureType::eDescriptorPoolInlineUniformBlockCreateInfoEXT

## Detailed Description

Definition at line 16984 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorPoolInlineUniformBlockCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::DescriptorPoolInlineUniformBlockCreateInfoEXT | ( | uint32_t | maxInlineUniformBlockBindings_ = `0` | ) |

inline

Definition at line 16986 of file vulkan.hpp.

: maxInlineUniformBlockBindings( maxInlineUniformBlockBindings_ )
{
}

## DescriptorPoolInlineUniformBlockCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::DescriptorPoolInlineUniformBlockCreateInfoEXT | ( | VkDescriptorPoolInlineUniformBlockCreateInfoEXT const & | rhs | ) |

inline

Definition at line 16991 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorPoolInlineUniformBlockCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDescriptorPoolInlineUniformBlockCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::operator VkDescriptorPoolInlineUniformBlockCreateInfoEXT & | ( |  | ) |

inline

Definition at line 17018 of file vulkan.hpp.

{
return *reinterpret_cast<VkDescriptorPoolInlineUniformBlockCreateInfoEXT*>(this);
}

## operator VkDescriptorPoolInlineUniformBlockCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::operator VkDescriptorPoolInlineUniformBlockCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 17013 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDescriptorPoolInlineUniformBlockCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::operator!= | ( | DescriptorPoolInlineUniformBlockCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 17030 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DescriptorPoolInlineUniformBlockCreateInfoEXT& VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::operator= | ( | VkDescriptorPoolInlineUniformBlockCreateInfoEXT const & | rhs | ) |

inline

Definition at line 16996 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorPoolInlineUniformBlockCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::operator== | ( | DescriptorPoolInlineUniformBlockCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 17023 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( maxInlineUniformBlockBindings == rhs.maxInlineUniformBlockBindings );
}

References maxInlineUniformBlockBindings, pNext, and sType.

Referenced by operator!=().

## setMaxInlineUniformBlockBindings()

DescriptorPoolInlineUniformBlockCreateInfoEXT& VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::setMaxInlineUniformBlockBindings | ( | uint32_t | maxInlineUniformBlockBindings_ | ) |

inline

Definition at line 17007 of file vulkan.hpp.

{
maxInlineUniformBlockBindings = maxInlineUniformBlockBindings_;
return *this;
}

References maxInlineUniformBlockBindings.

## setPNext()

DescriptorPoolInlineUniformBlockCreateInfoEXT& VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 17001 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## maxInlineUniformBlockBindings

uint32_t VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::maxInlineUniformBlockBindings

Definition at line 17040 of file vulkan.hpp.

Referenced by operator==(), and setMaxInlineUniformBlockBindings().

## pNext

const void* VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::pNext = nullptr

Definition at line 17039 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::sType = StructureType::eDescriptorPoolInlineUniformBlockCreateInfoEXT

private

Definition at line 17036 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:17039
VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::maxInlineUniformBlockBindings
uint32_t maxInlineUniformBlockBindings
Definition: vulkan.hpp:17040
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::DescriptorPoolInlineUniformBlockCreateInfoEXT
DescriptorPoolInlineUniformBlockCreateInfoEXT(uint32_t maxInlineUniformBlockBindings_=0)
Definition: vulkan.hpp:16986
VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:17036
VULKAN_HPP_NAMESPACE::DescriptorPoolInlineUniformBlockCreateInfoEXT::operator==
bool operator==(DescriptorPoolInlineUniformBlockCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:17023
VkDescriptorPoolInlineUniformBlockCreateInfoEXT
Definition: vulkan_core.h:7607